Subject: bug#32790: 27.0.50; point jumps unexpectedly after delete-window

From: martin rudalics <[email-masked]>
Date: Sun, 23 Sep 2018 10:28:13 +0200

>> You mean you expected that if the same buffer is displayed in another
 >> window, Emacs should prefer that other window when it decides what
 >> window to make the selected one?
 >
 > Actually it's a rare case when the same buffer is displayed
 > in two windows.  But I meant a more general case where all windows
 > display different buffers.  This is a more appropriate recipe
 > that avoids the same buffers:
 >
 > 0. emacs -Q
 >
 > 1. C-h e
 >
 > 2. C-x o
 >
 > 3. C-x 2
 >
 > 4. C-h i
 >
 > 5. C-x 0

C-x 2 in step 3 does _not_ "use" the new window on *Messages*.  Hence
at the time you do C-x 0 in step 5, the most recently used window
(with exception of the one you are about to delete) is the window on
*scratch*.

Using a window means selecting it, see 'window-use-time'. Hence if,
before C-x 0, you first select the window on *Messages* and then
reselect the *Info* window, C-x 0 will select the *Messages* window
instead.

martin